<?php

namespace App\Form\BaseType;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\SearchType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class AutocompleteCompanyType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('company');

        //->add('userEmail', EmailType::class, [
        //  'data' => 'userEmail'
        //]);
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'attr' => ['autocomplete' => 'off'],
        ]);
    }

    public function getParent(): string
    {
        return SearchType::class;
    }

    /*    public function buildView(FormView $view, FormInterface $form, array $options)
        {
            parent::buildView($view, $form, $options); // TODO: Change the autogenerated stub
        }*/
}
